> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallets

> Lists all custody wallets that Kravata manages for your client and your users.

#### Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | `Bearer <access_token>` obtained from **POST /api/v1/client/token**. |
| page | Query | No | Page number, starting at 1. |
| pageSize | Query | No | Number of records per page. |

#### Response

Paginated responses share the same envelope: `items` (the records), `total`, `page`, `pageSize`, `orderBy` and `orderDirection`. Each item contains:

| Field | Description |
| --- | --- |
| id | Identifier of the wallet record. |
| walletId | Operational wallet ID. Use this value as `originId` / `walletId` in transfers and withdrawals. |
| userId | Owner of the wallet. |
| status | Wallet status. It must be `APPROVED` to operate. |
| registerDate | Creation date. |
| address | On-chain address, when enabled for your account. |
| balances | Balances per network and token (`network`, `symbol`, `value`, `movements`, `lastDateMovement`). |



## OpenAPI

````yaml /stack/openapi.json get /api/v1/admin/wallets
openapi: 3.1.0
info:
  title: Kravata Stack API
  version: '2.0'
  description: >-
    Kravata Stack API: users, accounts, custody wallets, liquidity ramps and
    fiat payments.
servers:
  - url: https://test-api-kore.kravata.co
    description: Test
  - url: https://partners-api.kravata.co
    description: Production (mTLS + IP allowlist)
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Users
  - name: Accounts
  - name: Earn
  - name: Custody
  - name: Liquidity Ramps
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/admin/wallets:
    get:
      tags:
        - Custody
      summary: Get Wallets
      description: >-
        Lists all custody wallets that Kravata manages for your client and your
        users.


        #### Request


        | Field | Type | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | `Bearer <access_token>` obtained from
        **POST /api/v1/client/token**. |

        | page | Query | No | Page number, starting at 1. |

        | pageSize | Query | No | Number of records per page. |


        #### Response


        Paginated responses share the same envelope: `items` (the records),
        `total`, `page`, `pageSize`, `orderBy` and `orderDirection`. Each item
        contains:


        | Field | Description |

        | --- | --- |

        | id | Identifier of the wallet record. |

        | walletId | Operational wallet ID. Use this value as `originId` /
        `walletId` in transfers and withdrawals. |

        | userId | Owner of the wallet. |

        | status | Wallet status. It must be `APPROVED` to operate. |

        | registerDate | Creation date. |

        | address | On-chain address, when enabled for your account. |

        | balances | Balances per network and token (`network`, `symbol`,
        `value`, `movements`, `lastDateMovement`). |
      operationId: get-wallets
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        userId:
                          type: string
                        walletId:
                          type: string
                        number:
                          type: string
                        status:
                          type: string
                        registerDate:
                          type: string
                        balances: {}
                  total:
                    type: integer
                  page: {}
                  pageSize: {}
                  orderBy: {}
                  orderDirection: {}
              examples:
                get-all-wallets:
                  summary: Get all wallets
                  value:
                    items:
                      - id: 92b3eb46-e6df-4fcc-8a60-1313e816aebc
                        userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                        walletId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                        number: 31712053-f01e-466a-b784-fccf1a936418
                        status: APPROVED
                        registerDate: '2026-06-03T11:05:58.210262'
                        balances: null
                      - id: 95b25773-9be5-4632-9e87-b59b6e46ed49
                        userId: 535f8681-6338-4a6f-ac5c-f9c9e672a301
                        walletId: f20ccd6b-537f-444e-ac82-57906de9aa89
                        number: bc0b1901-f8d6-4d8e-9b38-ca0498781902
                        status: APPROVED
                        registerDate: '2026-06-03T13:09:01.880473'
                        balances: null
                    total: 2
                    page: null
                    pageSize: null
                    orderBy: null
                    orderDirection: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Access token from POST /api/v1/client/token.

````